/* ======================================================================================================================================================
Button
====================================================================================================================================================== */

/*button element*/
.avia-button-wrap{
	display:inline-block;
}

.avia-button{
	color: #696969;
	border-color: #c6c6c6;
	background-color: #dadada;
}

.avia-button .avia-svg-icon svg:first-child{
	fill: #696969;
	stroke: #696969;
}

body div .avia-button{
	border-radius: 3px;
	padding:10px;
	font-size: 12px;
	text-decoration: none;
	display:inline-block;
	border-bottom-style: solid;
	border-bottom-width: 1px;
	margin:3px 0;
	line-height: 1.2em;
	position: relative;
	font-weight: normal;
	text-align: center;
	max-width: 100%;
}

body div .avia-button .avia_button_icon.avia-svg-icon svg:first-child,
body div .avia-button .avia_button_icon.avia-svg-icon img[is-svg-img="true"]{
	height: 12px;
	width: 12px;
}

.avia-button:hover{
	opacity: 0.9;
	transition: all 0.4s ease-in-out;
}

.avia-button:active{
	border-bottom-width: 0px;
	border-top-width: 1px;
	border-top-style: solid;
}

.avia-button.avia-color-theme-color-subtle{
	background-image: none;
}

.avia-button.avia-color-theme-color-subtle:hover{}

.avia-button .avia_button_icon{
	position: relative;
	left: -0.3em;
	-webkit-perspective: 1000px;
	-webkit-backface-visibility: hidden;
}

.avia-button .avia_button_icon.avia_button_icon_right{
	left: 0.3em;
}

.avia-button.avia-icon_select-no .avia_button_icon{
	display:none
}

.avia-button.avia-color-grey,
.avia-button.avia-color-grey:hover{
	background-color: #4b4b4b;
	border-color: #2d2d2d;
	color: #e0e0e0;
}

#wrap_all .avia-button.avia-color-grey .avia-svg-icon svg:first-child,
#wrap_all .avia-button.avia-color-grey:hover .avia-svg-icon svg:first-child{
	fill: #e0e0e0;
	stroke: #e0e0e0;
}

.avia-button.avia-color-black,
.avia-button.avia-color-black:hover{
	background-color: #272727;
	border-color: #000000;
	color: #e0e0e0;
}

#wrap_all .avia-button.avia-color-black .avia-svg-icon svg:first-child,
#wrap_all .avia-button.avia-color-black:hover .avia-svg-icon svg:first-child{
	fill: #e0e0e0;
	stroke: #e0e0e0;
}

.avia-button.avia-color-red,
.avia-button.avia-color-red:hover{
	background-color: #833d3e;
	border-color: #683030;
	color: #e0e0e0;
}

#wrap_all .avia-button.avia-color-red .avia-svg-icon svg:first-child,
#wrap_all .avia-button.avia-color-red:hover .avia-svg-icon svg:first-child{
	fill: #e0e0e0;
	stroke: #e0e0e0;
}

.avia-button.avia-color-orange,
.avia-button.avia-color-orange:hover{
	background-color: #c2954a;
	border-color: #987b49;
	color: #e0e0e0;
}

#wrap_all .avia-button.avia-color-orange .avia-svg-icon svg:first-child,
#wrap_all .avia-button.avia-color-orange:hover .avia-svg-icon svg:first-child{
	fill: #e0e0e0;
	stroke: #e0e0e0;
}

.avia-button.avia-color-green,
.avia-button.avia-color-green:hover{
	background-color: #6f834f;
	border-color: #5e6f43;
	color: #e0e0e0;
}

#wrap_all .avia-button.avia-color-green .avia-svg-icon svg:first-child,
#wrap_all .avia-button.avia-color-green:hover .avia-svg-icon svg:first-child{
	fill: #e0e0e0;
	stroke: #e0e0e0;
}

.avia-button.avia-color-blue,
.avia-button.avia-color-blue:hover{
	background-color: #739bc5;
	border-color: #6282a2;
	color: #e0e0e0;
}

#wrap_all .avia-button.avia-color-blue .avia-svg-icon svg:first-child,
#wrap_all .avia-button.avia-color-blue:hover .avia-svg-icon svg:first-child{
	fill: #e0e0e0;
	stroke: #e0e0e0;
}

.avia-button.avia-color-aqua,
.avia-button.avia-color-aqua:hover{
	background-color: #53a39e;
	border-color: #4a837f;
	color: #e0e0e0;
}

#wrap_all .avia-button.avia-color-aqua .avia-svg-icon svg:first-child,
#wrap_all .avia-button.avia-color-aqua:hover .avia-svg-icon svg:first-child{
	fill: #e0e0e0;
	stroke: #e0e0e0;
}

.avia-button.avia-color-teal,
.avia-button.avia-color-teal:hover{
	background-color: #5b7071;
	border-color: #3d4d4e;
	color: #e0e0e0;
}

#wrap_all .avia-button.avia-color-teal .avia-svg-icon svg:first-child,
#wrap_all .avia-button.avia-color-teal:hover .avia-svg-icon svg:first-child{
	fill: #e0e0e0;
	stroke: #e0e0e0;
}

.avia-button.avia-color-purple,
.avia-button.avia-color-purple:hover{
	background-color: #645969;
	border-color: #463f4a;
	color: #e0e0e0;
}

#wrap_all .avia-button.avia-color-purple .avia-svg-icon svg:first-child,
#wrap_all .avia-button.avia-color-purple:hover .avia-svg-icon svg:first-child{
	fill: #e0e0e0;
	stroke: #e0e0e0;
}

.avia-button.avia-color-pink,
.avia-button.avia-color-pink:hover{
	background-color: #b15886;
	border-color: #935474;
	color: #e0e0e0;
}

#wrap_all .avia-button.avia-color-pink .avia-svg-icon svg:first-child,
#wrap_all .avia-button.avia-color-pink:hover .avia-svg-icon svg:first-child{
	fill: #e0e0e0;
	stroke: #e0e0e0;
}

.avia-button.avia-color-silver,
.avia-button.avia-color-silver:hover{
	background-color: #c0c0c0;
	border-color: #9e9e9e;
	color: #4b4b4b;
}

#wrap_all .avia-button.avia-color-silver .avia-svg-icon svg:first-child,
#wrap_all .avia-button.avia-color-silver:hover .avia-svg-icon svg:first-child{
	fill: #4b4b4b;
	stroke: #4b4b4b;
}

#top a.avia-button.avia-font-color-grey,
.avia-button.avia-font-color-grey-hover:hover{
	color: #2d2d2d;
}

#top a.avia-button.avia-font-color-grey .avia-svg-icon svg:first-child,
#top .avia-button.avia-font-color-grey-hover:hover .avia-svg-icon svg:first-child{
	fill: #2d2d2d;
	stroke: #2d2d2d;
}

#top a.avia-button.avia-font-color-black,
.avia-button.avia-font-color-black-hover:hover{
	color: #000000;
}

#top a.avia-button.avia-font-color-black .avia-svg-icon svg:first-child,
#top .avia-button.avia-font-color-black-hover:hover .avia-svg-icon svg:first-child{
	fill: #000000;
	stroke: #000000;
}

#top a.avia-button.avia-font-color-red,
.avia-button.avia-font-color-red-hover:hover{
	color: #683030;
}

#top a.avia-button.avia-font-color-red .avia-svg-icon svg:first-child,
#top .avia-button.avia-font-color-red-hover:hover .avia-svg-icon svg:first-child{
	fill: #683030;
	stroke: #683030;
}

#top a.avia-button.avia-font-color-orange,
.avia-button.avia-font-color-orange-hover:hover{
	color: #987b49;
}

#top a.avia-button.avia-font-color-orange .avia-svg-icon svg:first-child,
#top .avia-button.avia-font-color-orange-hover:hover .avia-svg-icon svg:first-child{
	fill: #987b49;
	stroke: #987b49;
}

#top a.avia-button.avia-font-color-green,
.avia-button.avia-font-color-green-hover:hover{
	color: #5e6f43;
}

#top a.avia-button.avia-font-color-green .avia-svg-icon svg:first-child,
#top .avia-button.avia-font-color-green-hover:hover .avia-svg-icon svg:first-child{
	fill: #5e6f43;
	stroke: #5e6f43;
}

#top a.avia-button.avia-font-color-blue,
.avia-button.avia-font-color-blue-hover:hover{
	color: #6282a2;
}

#top a.avia-button.avia-font-color-blue .avia-svg-icon svg:first-child,
#top .avia-button.avia-font-color-blue-hover:hover .avia-svg-icon svg:first-child{
	fill: #6282a2;
	stroke: #6282a2;
}

#top a.avia-button.avia-font-color-aqua,
.avia-button.avia-font-color-aqua-hover:hover{
	color: #4a837f;
}

#top a.avia-button.avia-font-color-aqua .avia-svg-icon svg:first-child,
#top a.avia-button.avia-font-color-aqua-hover:hover .avia-svg-icon svg:first-child{
	fill: #4a837f;
	stroke: #4a837f;
}

#top a.avia-button.avia-font-color-teal,
.avia-button.avia-font-color-teal-hover:hover{
	color: #3d4d4e;
}

#top a.avia-button.avia-font-color-teal .avia-svg-icon svg:first-child,
#top .avia-button.avia-font-color-teal-hover:hover .avia-svg-icon svg:first-child{
	fill: #3d4d4e;
	stroke: #3d4d4e;
}

#top a.avia-button.avia-font-color-purple,
.avia-button.avia-font-color-purple-hover:hover{
	color: #463f4a;
}

#top a.avia-button.avia-font-color-purple .avia-svg-icon svg:first-child,
#top .avia-button.avia-font-color-purple-hover:hover .avia-svg-icon svg:first-child{
	fill: #463f4a;
	stroke: #463f4a;
}

#top a.avia-button.avia-font-color-pink,
.avia-button.avia-font-color-pink-hover:hover{
	color: #935474;
}

#top a.avia-button.avia-font-color-pink .avia-svg-icon svg:first-child,
#top .avia-button.avia-font-color-pink-hover:hover .avia-svg-icon svg:first-child{
	fill: #935474;
	stroke: #935474;
}

#top a.avia-button.avia-font-color-silver,
.avia-button.avia-font-color-silver-hover:hover{
	color: #9e9e9e;
}

#top a.avia-button.avia-font-color-silver .avia-svg-icon svg:first-child,
#top .avia-button.avia-font-color-silver-hover:hover .avia-svg-icon svg:first-child{
	fill: #9e9e9e;
	stroke: #9e9e9e;
}

#top .avia-button.avia-color-light{
	color:#e0e0e0;
	border:3px solid #e0e0e0;
	background: transparent;
}

#top .avia-button.avia-color-light .avia-svg-icon svg:first-child{
	fill: #e0e0e0;
	stroke: #e0e0e0;
}

.avia-button.avia-color-light:hover{
	opacity: 0.7;
	color:#e0e0e0;
}

.avia-button.avia-color-light:hover .avia-svg-icon svg:first-child{
	fill: #e0e0e0;
	stroke: #e0e0e0;
}

#top .avia-button.avia-color-dark{
	color:#000000;
	border:3px solid #000000;
	color:rgba(0, 0, 0, 0.6);
	border-color: rgba(0, 0, 0, 0.6);
	background: transparent;
}

#top .avia-button.avia-color-dark .avia-svg-icon svg:first-child{
	fill: rgba(0, 0, 0, 0.6);
	stroke: rgba(0, 0, 0, 0.6);
}

.avia-button.avia-color-dark:hover{
	opacity: 0.7;
	color: #000000;
	color: rgba(0, 0, 0, 0.6);
}

.avia-button.avia-color-dark:hover .avia-svg-icon svg:first-child{
	fill: rgba(0, 0, 0, 0.6);
	stroke: rgba(0, 0, 0, 0.6);
}

.avia-button.avia-color-theme-color-subtle{
	border-width:1px;
	border-style: solid;
}

.avia-button-center {
	display:block;
	text-align: center;
	clear:both;
}

.avia-button-right{
	display:block;
	float:right;
}

.avia-button.avia-position-right{
	float:right;
	display:block;
}

.avia-button.avia-position-left{
	float:left;
	display:block;
}

.avia-button.avia-size-small{
	padding: 9px 10px 7px;
	font-size: 13px;
	min-width: 80px;
}

.avia-button.avia-size-small .avia_button_icon.avia-svg-icon svg:first-child{
	height: 1em;
	width: 1em;
	margin-bottom: -2px;
}

.avia-button.avia-size-medium{
	padding:12px 16px 10px;
	font-size: 13px;
	min-width: 90px;
}

.avia-button.avia-size-medium .avia_button_icon.avia-svg-icon svg:first-child{
	height: 1em;
	width: 1em;
	margin-bottom: -2px;
}

.avia-button.avia-size-large{
	padding: 15px 30px 13px;
	font-size: 13px;
	min-width: 139px;
}

.avia-button.avia-size-large .avia_button_icon.avia-svg-icon svg:first-child{
	height: 1em;
	width: 1em;
	margin-bottom: -2px;
}

.avia-button.avia-size-x-large{
	padding: 25px 50px 23px;
	font-size: 15px;
	min-width: 200px;
}

.avia-button.avia-size-x-large .avia_button_icon.avia-svg-icon svg:first-child{
	height: 1em;
	width: 1em;
	margin-bottom: -2px;
}

.av-icon-on-hover .avia_button_icon{
	width: 0px;
	overflow: hidden;
	display: inline-block;
	height: 1em;
	transition:all 0.2s ease-in-out;
	opacity: 0;
}

.av-icon-on-hover:hover .avia_button_icon{
	width: 1.5em;
	opacity: 1;
}

#top .av-button-notext{
	min-width: 0;
}

#top .av-button-notext .avia_button_icon{
	left:0;
}

.av-button-label-on-hover{
	box-sizing: content-box;
}
.av-button-label-on-hover.avia-button.avia-size-small{
	padding:0;
	line-height: 30px;
	width: 32px;
}

.av-button-label-on-hover.avia-button.avia-size-medium{
	padding:0;
	line-height: 36px;
	width: 38px;
}

.av-button-label-on-hover.avia-button.avia-size-large{
	padding:0;
	line-height: 42px;
	width: 44px;
}

.av-button-label-on-hover.avia-button.avia-size-x-large{
	padding:0;
	line-height: 66px;
	width: 68px;
}

.av-button-label-on-hover.avia-button .avia-svg-icon{
	padding-top: 1px;			/*  needed to display button and center icon   */
}


#top .avia-button .avia_button_background{
	opacity: 0;
	position: absolute;
	top: -3px;
	left: 0;
	bottom: -6px;
	right: 0;
	transition: all 0.4s ease-in-out;
}

#top .avia-button:hover .avia_button_background{
	opacity: 0.9;
}

#top .avia-button .avia_button_icon,
#top .avia-button .avia_iconbox_title{
	position: relative;
	z-index: 3;
}

/*	Sonar effect	*/
.avia-button.avia-sonar-shadow:after{
	content: '';
	pointer-events: none;
	position: absolute;
	top: 0;
	left: 0;
	padding: 0;
	width: 100%;
	height: 100%;
	opacity: 0;
	z-index: -1;
	/*border-radius: 10px;*/
	box-sizing: content-box;
	box-shadow: 0 0 0 2px rgba(224, 224, 224, 0.1);
	transform: scale(0.9);
	transform-style: preserve-3d;
}
